- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/import#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/import#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/import#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/import#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/import#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/import#body.aspect)
- [Try it!](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/import#try-it)

Imports a message into only this user's mailbox, with standard email delivery scanning and classification similar to receiving via SMTP. This method doesn't perform SPF checks, so it might not work for some spam messages, such as those attempting to perform domain spoofing. This method does not send a message. Note that the maximum size of the message is 150 MB.

### HTTP request

- Upload URI, for media upload requests:  
  `POST https://gmail.googleapis.com/upload/gmail/v1/users/{userId}/messages/import`
- Metadata URI, for metadata-only requests:  
  `POST https://gmail.googleapis.com/gmail/v1/users/{userId}/messages/import`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` The user's email address. The special value `me` can be used to indicate the authenticated user. |

### Query parameters

| Parameters ||
|---|---|
| `internalDateSource` | ``enum (`https://developers.google.com/workspace/gmail/api/reference/rest/v1/InternalDateSource`)`` Source for Gmail's internal date of the message. |
| `neverMarkSpam` | `boolean` Ignore the Gmail spam classifier decision and never mark this email as SPAM in the mailbox. |
| `processForCalendar` | `boolean` Process calendar invites in the email and add any extracted meetings to the Google Calendar for this user. |
| `deleted` | `boolean` Mark the email as permanently deleted (not TRASH) and only visible in [Google Vault](http://support.google.com/vault/) to a Vault administrator. Only used for Google Workspace accounts. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages#Message`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages#Message`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://mail.google.com/`
- `
  https://www.googleapis.com/auth/gmail.modify`
- `
  https://www.googleapis.com/auth/gmail.insert`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).